#comment out if not git build
#define git	git74

# exclude plugin .so from provides
%global __provides_exclude_from %{_libdir}/%{name}/plugins/.*\\.so

Summary:	The user-friendly, lightweight and fast GTK2 based email client
Name:		claws-mail
Epoch:		1
Version:	3.15.0%{?git}
Release:	%mkrel 4
License:	GPLv3+
Group:		Networking/Mail
URL:		http://www.claws-mail.org
Source0:	http://www.claws-mail.org/%{?git:snapshots}%{!?git:releases}/%{name}-%{version}.tar.%{?git:bz2}%{!?git:xz}
Patch0:		0001-Fix-build-with-Werror-format-security.patch
Patch1:		0001-old-new-version-display.patch
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(dbus-1) >= 0.60
BuildRequires:	pkgconfig(dbus-glib-1) >= 0.60
BuildRequires:	pkgconfig(enchant) >= 1.0.0
BuildRequires:	pkgconfig(expat)
BuildRequires:	pkgconfig(glib-2.0) >= 2.6
BuildRequires:	pkgconfig(gmodule-2.0) >= 2.6
BuildRequires:	pkgconfig(gnutls) >= 2.2
BuildRequires:	pkgconfig(gobject-2.0) >= 2.6
BuildRequires:	pkgconfig(gthread-2.0) >= 2.6
BuildRequires:	pkgconfig(gtk+-2.0) >= 2.16
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcanberra-gtk)
BuildRequires:	pkgconfig(libgnome-2.0) >= 2.0
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libstartup-notification-1.0) >= 0.5
BuildRequires:	pkgconfig(NetworkManager) >= 0.6.2
#BuildRequires:	intltool
BuildRequires:	docbook-utils
BuildRequires:	libsm-devel
BuildRequires:	openldap-devel
BuildRequires:	pilot-link-devel
BuildRequires:	multiarch-utils
BuildRequires:	libetpan-devel >= 0.42
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	valgrind-devel
BuildRequires:	spamassassin-spamd >= 3.0.0
BuildRequires:	libgcrypt-devel
BuildRequires:	gpgme-devel > 0.4.5
BuildRequires:	imagemagick
BuildRequires:	compface-devel

%if 0%{?git:1}
BuildRequires:	gettext-devel
%endif

#From old plugins-extra pkg
BuildRequires:	pkgconfig(poppler)
BuildRequires:	pkgconfig(poppler-glib)
BuildRequires:	libetpan-devel
BuildRequires:	perl-devel
BuildRequires:	curl-devel
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	ghostscript
BuildRequires:	pygtk2.0-devel

BuildRequires:	webkitgtk-devel
BuildRequires:	libnotify-devel
BuildRequires:	gail-devel

Requires:	compface
Requires:	rootcerts
Requires:	common-licenses
Requires:	enchant-dictionary = 2

# To handle hidden preferences
Recommends:	clawsker

# Extra tools
Recommends:	%{name}-tools

%description
Claws-Mail is an e-mail client (and news reader) based on GTK+, running
on X Window System, and aiming for:
 * Quick response
 * Graceful, and sophisticated interface
 * Easy configuration, intuitive operation
 * Abundant features

The appearance and interface are similar to some popular e-mail clients for
Windows, such as Outlook Express, Becky!, and Datula. The interface is also
designed to emulate the mailers on Emacsen, and almost all commands are
accessible with the keyboard.

The messages are managed by MH format, and you'll be able to use it together
with another mailer based on MH format (like Mew). You can also utilize
fetchmail or/and procmail, and external programs on receiving (like inc or
imget).

This is an improved version over the "bare" sylpheed package. It has
some additional features, and also extends existing features.

Addtitional features include:
    o Scoring
    o Spell checking
    o Return receipts

Improved features include:
    o SMTP Auth
    o Filtering
    o MIME attachments
    o Integrated News reader
    o Automatic mail checking
    o Line-wrapping
    o XML-based addressbook
    o Newly arrived and unread message management
    o Printing
    o GnuPG support
    o Address book supports JPilot, LDAP, LDIF, and vCard data files

For a complete listing of Features: http://www.claws-mail.org/features.php

%package tools
Summary:	Extra tools for %{name}
Group:		Networking/Mail
Conflicts:	%{name} < 1:3.10.1-4

%description tools
This package contains extra tools for %{name}.

Tools are located at %{_docdir}/%{name}/tools/.

%package devel
Summary:	Development files for %{name}
Group:		Development/Other
Requires:	%{name} = %{epoch}:%{version}-%{release}

%description devel
Development files and headers for %{name}.

%package plugins
Summary:	Plugins for %{name}
Group:		Networking/Mail
Requires:	%{name}-bogofilter-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-smime-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpcore-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpinline-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-pgpmime-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-spamassassin-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-acpi-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-att_remover-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-bsfilter-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-fancy-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-fetchinfo-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-mailmbox-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-managesieve-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-notification-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-pdf_viewer-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-perl-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-python-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-rssyl-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-vcalendar-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-attachwarner-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-spam_report-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-address_keeper-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-clamd-plugin = %{epoch}:%{version}-%{release}
Requires:	%{name}-libravatar-plugin = %{epoch}:%{version}-%{release}
Obsoletes:	%{name}-plugins < 1:3.8.1-3
Obsoletes:	%{name}-extra-plugins < 1:3.9.1
Obsoletes:	%{name}-tnef_parse-plugin < 1:3.15.0-4

%description plugins
This is a meta-package which requires all plugins included in the Claws Mail
source package.

%package archive-plugin
Summary:	Archiver plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description archive-plugin
Archives mail folders using libarchive library. Folders can be archived
with or without compression (ZIP, GZIP or BZIP2) and also in several
formats (TAR, SHAR, PAX or CPIO).

%package bogofilter-plugin
Summary:	Bogofilter plugin for %{name}
Group:		Networking/Mail
BuildRequires:	bogofilter
Requires:	%{name} >= %{epoch}:%{version}
Requires:	bogofilter

%description bogofilter-plugin
Enables the scanning of incoming mail received from a
POP, IMAP, or LOCAL account using Bogofilter. It can
optionally delete mail identified as spam or save it
to a designated folder. Bogofilter is a pure Bayesian
filter, therefore it has better speed performance
than SpamAssassin but might catch less spam.

%package gdata-plugin
Summary:	Gmail contacts plugin for %{name}
Group:		Networking/Mail
BuildRequires:	libgdata-devel
Requires:	%{name} >= %{epoch}:%{version}

%description gdata-plugin
Includes your Gmail account contacts in the list generated for Tab-address
completion on compose window, using the GData library.

%package smime-plugin
Summary:	S/Mime plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	%{name}-pgpcore-plugin >= %{epoch}:%{version}

%description smime-plugin
This plugin allows to use S/Mime signatures and encryptions
in Claws Mail

%package pgpcore-plugin
Summary:	PGP core plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description pgpcore-plugin
Handles core PGP functions and is a dependency of both
the PGP/Inline and PGP/MIME plugins.

%package pgpinline-plugin
Summary:	PGP/Inline plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	%{name}-pgpcore-plugin >= %{epoch}:%{version}

%description pgpinline-plugin
Handles PGP/Inline signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign
and encrypt your own mails.

%package pgpmime-plugin
Summary:	PGP/MIME plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	%{name}-pgpcore-plugin >= %{epoch}:%{version}

%description pgpmime-plugin
Handles PGP/MIME signed and/or encrypted mails.
You can decrypt mails, verify signatures or sign
and encrypt your own mails.

%package spamassassin-plugin
Summary:	Spamassassin-plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	spamassassin-spamd

%description spamassassin-plugin
Scans incoming mail received from a POP, IMAP or LOCAL account using
SpamAssassin. It can optionally delete mail identified as spam or save
it to a designated folder.

%package acpi-plugin
Summary:	This plugin enables mail notification via LEDs on some laptops
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description acpi-plugin
This plugin for %{name} enables mail notification via LEDs
on some laptops.

%package att_remover-plugin
Summary:	This plugin for %{name} enables the removal of attachments
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description att_remover-plugin
This plugin for %{name} enables the removal of attachments.

%package bsfilter-plugin
Summary:	This plugin enables spam fitering through bsfilter
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description bsfilter-plugin
Check all messages that are received from an IMAP, LOCAL or POP account
for spam using Bsfilter.

%package fancy-plugin
Summary:	This plugin renders HTML e-mails through WebKit
Group:		Networking/Mail
BuildRequires:	webkitgtk-devel
Requires:	%{name} >= %{epoch}:%{version}
Obsoletes:	%{name}-gtkhtml2_viewer-plugin < 1:3.9.1
Obsoletes:	%{name}-dillo_viewer-plugin < 1:3.9.1

%description fancy-plugin
Renders HTML e-mail using the WebKit library

%package fetchinfo-plugin
Summary:	This plugin inserts headers containing some download information
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description fetchinfo-plugin
This plugin for %{name} inserts headers containing some download
information: UIDL, Sylpheeds account name, POP server, user ID
and retrieval time.

%package mailmbox-plugin
Summary:	This plugin provides direct access to mbox folders
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description mailmbox-plugin
This plugin for %{name} provides direct access to mbox folders.

%package newmail-plugin
Summary:	This plugin can write a summary to a log file
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description newmail-plugin
This plugin for %{name} can write a summary to a log file upon
receiving new mail. It defaults to ~/Mail/NewLog.

%package notification-plugin
Summary:	This plugin notify from new mail
Group:		Networking/Mail
BuildRequires:	libnotify-devel
Requires:	%{name} >= %{epoch}:%{version}
Obsoletes:	%{name}-trayicon-plugin < 1:3.9.1

%description notification-plugin
This plugin for %{name} notify from new incoming mail.

%package perl-plugin
Summary:	Perl interface to %{name}s' filtering mechanism
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description perl-plugin
This plugin is intended to extend the filtering possibilities
of %{name}. It provides a Perl interface to %{name}s'
filtering mechanism, allowing the use of full Perl power in
email filters.

%package python-plugin
Summary:	Python scriptin access to %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description python-plugin
This plugin offers a Python scripting access to %{name}.

%package rssyl-plugin
Summary:	This plugin allows you to read your favorite newsfeeds in %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description rssyl-plugin
This plugin allows you to read your favorite newsfeeds in %{name}.
RSS 1.0, 2.0 and Atom feeds are currently supported.

%package vcalendar-plugin
Summary:	This plugin for %{name} enables vCalendar message handling
Group:		Networking/Mail
BuildRequires:	libical-devel
Requires:	%{name} >= %{epoch}:%{version}

%description vcalendar-plugin
This %{name} plugin handles the vCalendar format (or rather, the
meeting subset of it). It displays such mails in a nice format, lets you
create and send meetings, and creates a virtual folder with the meetings you
have sent or received.

%package vcalendar-plugin-devel
Summary:	This plugin for %{name} install the vcalendar plugin headers
Group:		Networking/Mail
Requires:	%{name}-devel = %{epoch}:%{version}-%{release}

%description vcalendar-plugin-devel
Header files for %{name}-vcalendar-plugin.

%package attachwarner-plugin
Summary:	This plugin for %{name} enables attachwarner
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description attachwarner-plugin
This %{name} plugin provides attachwarner.

%package spam_report-plugin
Summary:	This plugin for %{name} enables spamreport
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description spam_report-plugin
This %{name} plugin provides spamreport.

%package address_keeper-plugin
Summary:	%{name} plugin keeps all recipient addresses in an addressbook folder
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description address_keeper-plugin
This %{name} plugin keeps all recipient addresses in an addressbook folder.

%package clamd-plugin
Summary:	%{name} plugin to enable scanning all received messages
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}
Requires:	clamav

%description clamd-plugin
This %{name} plugin scans all messages that are received from an IMAP, LOCAL
or POP account using clamd (Clam AV).

%package pdf_viewer-plugin
Summary:	%{name} plugin to handle PDF attachments
Group:		Networking/Mail
Obsoletes:	%{name}-pdfviewer-plugin < 1:3.9.0-3
Requires:	%{name} >= %{epoch}:%{version}

%description pdf_viewer-plugin
This %{name} plugin handles PDF and Postscript attachments.

%package libravatar-plugin
Summary:	Libravatar plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description libravatar-plugin
This plugin allows showing the profile picture associated to email addresses
provided by https://www.libravatar.org/.

%package managesieve-plugin
Summary:	ManageSieve plugin for %{name}
Group:		Networking/Mail
Requires:	%{name} >= %{epoch}:%{version}

%description managesieve-plugin
The Claws Mail ManageSieve plugin provides an interface for managing Sieve
filters. Sieve filters are used for filtering mail on mail servers, usually
with an IMAP account.

This plugin handles managing Sieve filters, editing them, and checking their
syntax.

%prep
%autosetup -p1

%build
%if 0%{?git:1}
autoreconf -vfi
%endif

%configure2_5x \
	--disable-tnef_parse-plugin \
	--disable-static \
	--disable-rpath
%make_build

%check
make check

%install
%make_install

mkdir -p %{buildroot}%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64,128x128}/apps
convert %{name}.png -geometry 16x16 %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png
convert %{name}.png -geometry 32x32 %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
install -m644 %{name}.png %{buildroot}%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
install -m644 %{name}-64x64.png %{buildroot}%{_datadir}/icons/hicolor/64x64/apps/%{name}.png
install -m644 %{name}-128x128.png %{buildroot}%{_datadir}/icons/hicolor/128x128/apps/%{name}.png

#we don't have geolocation plugin
rm -rf %{buildroot}%{_datadir}/appdata/%{name}-geolocation.*

#install .desktop file
desktop-file-install \
	%{name}.desktop \
		--dir %{buildroot}%{_datadir}/applications

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang %{name}

# install tools
mkdir -p %{buildroot}%{_docdir}/%{name}/
cp -a tools %{buildroot}%{_docdir}/%{name}/tools
rm -rf %{buildroot}%{_docdir}/%{name}/tools/Makefile*

%files tools
%{_docdir}/%{name}/tools/

%files -f %{name}.lang
%doc AUTHORS NEWS README* TODO* RELEASE_NOTES
%doc %dir %{_docdir}/%{name}/manual/
%lang(en) %doc %{_docdir}/%{name}/manual/en/
%lang(es) %doc %{_docdir}/%{name}/manual/es/
%lang(fr) %doc %{_docdir}/%{name}/manual/fr/
%exclude %{_docdir}/%{name}/tools/
%{_bindir}/%{name}
%{_bindir}/sylpheed-claws
%{_datadir}/applications/claws-mail.desktop
#%{_datadir}/appdata/claws-mail.appdata.xml
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_iconsdir}/hicolor/*/apps/*.png
%{_mandir}/man1/%{name}.*

%files devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/claws-mail.pc

%files plugins

%files archive-plugin
%{_libdir}/%{name}/plugins/archive.so
#%{_datadir}/appdata/%{name}-archive.*

%files bogofilter-plugin
%{_libdir}/%{name}/plugins/bogofilter.so
#%{_datadir}/appdata/%{name}-bogofilter.*

%files gdata-plugin
%{_libdir}/%{name}/plugins/gdata.so
#%{_datadir}/appdata/%{name}-gdata.*

%files smime-plugin
%{_libdir}/%{name}/plugins/smime.so
%{_libdir}/%{name}/plugins/smime.deps
#%{_datadir}/appdata/%{name}-smime.*

%files pgpcore-plugin
%{_libdir}/%{name}/plugins/pgpcore.so
#%{_datadir}/appdata/%{name}-pgpcore.*

%files pgpinline-plugin
%{_libdir}/%{name}/plugins/pgpinline.so
%{_libdir}/%{name}/plugins/pgpinline.deps
#%{_datadir}/appdata/%{name}-pgpinline.*

%files pgpmime-plugin
%{_libdir}/%{name}/plugins/pgpmime.so
%{_libdir}/%{name}/plugins/pgpmime.deps
#%{_datadir}/appdata/%{name}-pgpmime.*

%files spamassassin-plugin
%doc src/plugins/spamassassin/README
%{_libdir}/%{name}/plugins/spamassassin*.so
#%{_datadir}/appdata/%{name}-spamassassin.*

%files acpi-plugin
%{_libdir}/%{name}/plugins/acpi*
#%{_datadir}/appdata/%{name}-acpi_notifier.*

%files att_remover-plugin
%{_libdir}/%{name}/plugins/att_remover*
#%{_datadir}/appdata/%{name}-att_remover.*

%files attachwarner-plugin
%{_libdir}/%{name}/plugins/attachwarner*
#%{_datadir}/appdata/%{name}-attachwarner.*

%files bsfilter-plugin
%{_libdir}/%{name}/plugins/bsfilter*
#%{_datadir}/appdata/%{name}-bsfilter.*

%files fancy-plugin
%{_libdir}/%{name}/plugins/fancy*
#%{_datadir}/appdata/%{name}-fancy.*

%files fetchinfo-plugin
%{_libdir}/%{name}/plugins/fetchinfo*
#%{_datadir}/appdata/%{name}-fetchinfo.*

%files mailmbox-plugin
%{_libdir}/%{name}/plugins/mailmbox*
#%{_datadir}/appdata/%{name}-mailmbox.*

%files newmail-plugin
%{_libdir}/%{name}/plugins/newmail*
#%{_datadir}/appdata/%{name}-newmail.*

%files notification-plugin
%{_libdir}/%{name}/plugins/noti*
#%{_datadir}/appdata/%{name}-notification.*

%files perl-plugin
%{_libdir}/%{name}/plugins/perl*
#%{_datadir}/appdata/%{name}-perl.*

%files python-plugin
%{_libdir}/%{name}/plugins/python*
#%{_datadir}/appdata/%{name}-python.*

%files rssyl-plugin
%{_libdir}/%{name}/plugins/rssyl*
#%{_datadir}/appdata/%{name}-rssyl.*

%files vcalendar-plugin
%{_libdir}/%{name}/plugins/vcalendar*
#%{_datadir}/appdata/%{name}-vcalendar.*

%files vcalendar-plugin-devel
%{_includedir}/%{name}/plugins/vcalendar/vcal_interface.h
#%{_datadir}/appdata/%{name}-vcalendar.*

%files spam_report-plugin
%{_libdir}/%{name}/plugins/spamreport*
#%{_datadir}/appdata/%{name}-spam_report.*

%files address_keeper-plugin
%{_libdir}/%{name}/plugins/address_keeper*
#%{_datadir}/appdata/%{name}-address_keeper.*

%files clamd-plugin
%{_libdir}/%{name}/plugins/clamd*
#%{_datadir}/appdata/%{name}-clamd.*

%files pdf_viewer-plugin
%{_libdir}/%{name}/plugins/pdf_viewer*
#%{_datadir}/appdata/%{name}-pdf_viewer.*

%files libravatar-plugin
%doc src/plugins/libravatar/README
%doc src/plugins/libravatar/TODO
%{_libdir}/%{name}/plugins/libravatar.so
#%{_datadir}/appdata/%{name}-libravatar.*

%files managesieve-plugin
%{_libdir}/%{name}/plugins/managesieve.so


%changelog
* Fri Jul 07 2017 luigiwalser <luigiwalser> 1:3.15.0-4.mga6
+ Revision: 1109373
- disable ytnef support (mga#21047)

* Sun Apr 23 2017 wally <wally> 1:3.15.0-3.mga6
+ Revision: 1097155
- rebuild for new libetpan

* Fri Apr 21 2017 wally <wally> 1:3.15.0-2.mga6
+ Revision: 1096997
- add patch from upstream to fix how version is displayed

* Mon Mar 27 2017 wally <wally> 1:3.15.0-1.mga6
+ Revision: 1094944
- new version 3.15.0
- add patch to fix str fmt
- BR librsvg2 and libical

* Mon Nov 28 2016 luigiwalser <luigiwalser> 1:3.14.1-2.mga6
+ Revision: 1070611
- rebuild for poppler

* Sun Nov 06 2016 wally <wally> 1:3.14.1-1.mga6
+ Revision: 1065565
- new version 3.14.1

* Sat Aug 13 2016 luigiwalser <luigiwalser> 1:3.14.0-2.mga6
+ Revision: 1046171
- test rebuild for poppler

* Wed Aug 10 2016 julien <julien> 1:3.14.0-1.mga6
+ Revision: 1045380
- new version 3.14.0

* Tue Jan 19 2016 julien <julien> 1:3.13.2-1.mga6
+ Revision: 925957
- new version 3.13.2

* Sun Jan 17 2016 wally <wally> 1:3.13.1-4.mga6
+ Revision: 925066
- add patch from upstream to properly fix CVE-2015-8708

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1:3.13.1-3.mga6
+ Revision: 921797
- rebuild for gnutls

* Fri Jan 01 2016 wally <wally> 1:3.13.1-2.mga6
+ Revision: 917669
- add patch from upstream git for the incomplete fix for CVE-2015-8614 (CVE-2015-8708, mga#17380)

* Sun Dec 20 2015 wally <wally> 1:3.13.1-1.mga6
+ Revision: 912598
- new version 3.13.1

* Sun Oct 11 2015 wally <wally> 1:3.13.0-1.mga6
+ Revision: 889543
- new version 3.13.0

* Thu Jul 23 2015 wally <wally> 1:3.12.0-1.mga6
+ Revision: 856477
- new version 3.12.0
- add ManageSieve plugin

* Fri Jun 26 2015 sander85 <sander85> 1:3.11.1-3.mga6
+ Revision: 844239
- Rebuild for new libgdata

* Sun Dec 07 2014 wally <wally> 1:3.11.1-2.mga5
+ Revision: 801785
- drop ytnef BR
- add patch to fix possible buffer overflow in embedded libytnef (CVE-2010-5109)

* Tue Oct 28 2014 wally <wally> 1:3.11.1-1.mga5
+ Revision: 794066
- new version 3.11.1
- drop appdata files (upstream decided to disable them)

* Thu Oct 23 2014 wally <wally> 1:3.11.0-1.mga5
+ Revision: 792783
- new version 3.11.0
- build appdata files

* Wed Oct 15 2014 umeabot <umeabot> 1:3.10.1-6.mga5
+ Revision: 738945
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1:3.10.1-5.mga5
+ Revision: 726039
- rebuild for missing pythoneggs deps

* Fri Sep 19 2014 wally <wally> 1:3.10.1-4.mga5
+ Revision: 697403
- split out (extra) tools

* Thu Sep 18 2014 umeabot <umeabot> 1:3.10.1-3.mga5
+ Revision: 693619
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1:3.10.1-2.mga5
+ Revision: 678418
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Mon Jun 09 2014 wally <wally> 1:3.10.1-1.mga5
+ Revision: 635237
- new version 3.10.1

* Mon May 26 2014 wally <wally> 1:3.10.0-1.mga5
+ Revision: 626863
- new version 3.10.0

* Sat May 24 2014 wally <wally> 1:3.9.3-3.mga5
+ Revision: 625630
- rebuild for new libetpan

* Thu Feb 06 2014 tv <tv> 1:3.9.3-2.mga5
+ Revision: 584367
- rebuild for new gdata

* Sun Dec 22 2013 wally <wally> 1:3.9.3-1.mga4
+ Revision: 559913
- new version 3.9.3

* Sat Oct 19 2013 umeabot <umeabot> 1:3.9.2-3.mga4
+ Revision: 528885
- Mageia 4 Mass Rebuild

* Fri Jun 28 2013 fwang <fwang> 1:3.9.2-2.mga4
+ Revision: 447774
- rebuild for new libarchive

* Sun Jun 09 2013 fwang <fwang> 1:3.9.2-1.mga4
+ Revision: 441301
- new version 3.9.2

* Sat May 25 2013 wally <wally> 1:3.9.1-1.mga4
+ Revision: 426999
- new version 3.9.1
- drop obsolete plugins
  * trayicon
  * dillo viewer
  * gtkhtml2 viewer
- 'extra plugins' comes now from claws-mail src pkg

* Thu Mar 07 2013 wally <wally> 1:3.9.0-3.mga3
+ Revision: 401639
- suggest clawsker for editing hidden preferences

* Fri Jan 11 2013 umeabot <umeabot> 1:3.9.0-2.mga3
+ Revision: 347832
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 wally <wally> 1:3.9.0-1.mga3
+ Revision: 318233
- new version 3.9.0
- drop upstream applied patches

* Tue Oct 23 2012 luigiwalser <luigiwalser> 1:3.8.1-5.mga3
+ Revision: 309479
- add patch from opensuse to fix CVE-2012-4507

* Sun Oct 14 2012 wally <wally> 1:3.8.1-4.mga3
+ Revision: 305369
- add a patch from upstream to fix build with gnutls 3.1.3

* Sun Sep 30 2012 wally <wally> 1:3.8.1-3.mga3
+ Revision: 300911
- create a meta pkg which requires all "core" plugins

* Sat Sep 29 2012 wally <wally> 1:3.8.1-2.mga3
+ Revision: 300562
- make smime-plugin require pgpcore-plugin

* Wed Jun 27 2012 julien <julien> 1:3.8.1-1.mga3
+ Revision: 264495
- new version 3.8.1

* Tue Jan 03 2012 fwang <fwang> 1:3.8.0-3.mga2
+ Revision: 189877
- rebuild for new libetpan

* Fri Dec 30 2011 julien <julien> 1:3.8.0-2.mga2
+ Revision: 189106
- fix error message with missing dictionary by putting a require on enchant-dictionary = 2 (pulls myspell ATM but should do the right thing when hunspell will advertise enchant-dictionary)

* Sun Dec 18 2011 fwang <fwang> 1:3.8.0-1.mga2
+ Revision: 183593
- br gcrypt
- update br
- new version 3.8.0

* Sat Nov 19 2011 julien <julien> 1:3.7.10-2.mga2
+ Revision: 169160
- add patch to compile with glib3.31+ and gnutls 3+
- clean up spec a bit
- drop old provide/obsolete

* Fri Sep 02 2011 fwang <fwang> 1:3.7.10-1.mga2
+ Revision: 137860
- new version 3.7.10
- rebuild for new gnutls

* Wed Jul 13 2011 ahmad <ahmad> 1:3.7.9-2.mga2
+ Revision: 123688
- Add a patch from upstream to fix a crash on startup
  http://www.thewildbeast.co.uk/claws-mail/bugzilla/show_bug.cgi?id=2414
  should fix (mga#2128)

* Thu Jun 30 2011 ahmad <ahmad> 1:3.7.9-1.mga2
+ Revision: 116291
- Update to 3.7.9
- Drop patch0, fixed upstream
- Build with no-undedined

* Tue Jun 21 2011 ahmad <ahmad> 1:3.7.8-3.mga2
+ Revision: 110897
- Add BR valgrind-devel (needed after the valgrind package latest split)

* Fri Feb 25 2011 ahmad <ahmad> 1:3.7.8-2.mga1
+ Revision: 59230
- drop old/unneeded scriptlets
- drop old obsoletes/provides

  + kharec <kharec>
    - imported package claws-mail

